import { BaseStatusEntity } from 'src/core/modules/domain/entities/base-status.entity';
import { RefundType } from '../../constants';

export interface RefundEntity extends BaseStatusEntity {
  type: RefundType;
  code: string;
  request_date: Date;
  refund_date: Date;
  refund_total: number;

  bank_name: string;
  bank_account_name: string;
  bank_account_number: string;

  transaction_id: string;
}
